Name:           perl-Padre
Version:        0.20
Release:        1%{?dist}
Summary:        Perl Application Development and Refactoring Environment
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Padre/
Source0:        http://www.cpan.org/authors/id/S/SZ/SZABGAB/Padre-%{version}.tar.gz
Source1:        Padre.desktop
Patch0:         switchOfCheck.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 0:5.008
BuildRequires:  perl(Class::Accessor)
BuildRequires:  perl(DBD::SQLite)
BuildRequires:  perl(File::Copy::Recursive)
BuildRequires:  perl(File::Which)
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(PAR) >= 0.970
BuildRequires:  perl(Pod::Simple)
BuildRequires:  perl(Probe::Perl) >= 0.01
BuildRequires:  perl(Test::Exception)
BuildRequires:  perl(Test::More) >= 0.47
BuildRequires:  perl(Test::NoWarnings)
BuildRequires:  perl(Wx::Perl::Dialog)
BuildRequires:  desktop-file-utils
Requires:       perl(Class::Accessor)
Requires:       perl(DBD::SQLite)
Requires:       perl(File::Copy::Recursive)
Requires:       perl(File::ShareDir::PAR)
Requires:       perl(PAR) >= 0.970
Requires:       perl(Pod::Simple)
Requires:       perl(PPI) >= 1.203
Requires:       perl(Probe::Perl) >= 0.01
Requires:       perl(Wx::Perl::Dialog)
Requires:       perl(Module::Starter) >= 1.50
Requires:       perl(Class::Adapter)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Padre is a text editor aimed to be an IDE for Perl. 
The application maintains its configuration information
in a directory called .padre.

%prep
%setup -q -n Padre-%{version}
%patch0 -p1

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
rm -rf $RPM_BUILD_ROOT

./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;
mv $RPM_BUILD_ROOT/%{perl_vendorlib}/auto/share/dist/Padre $RPM_BUILD_ROOT/%{_datadir}/padre
%{_fixperms} $RPM_BUILD_ROOT/*
chmod 644 $RPM_BUILD_ROOT/%{perl_vendorlib}/Padre/Wx/Ack.pm

# there's no desktop file in source, let's create one
desktop-file-install --vendor="fedora" \
--dir=$RPM_BUILD_ROOT/%{_datadir}/applications \
%{SOURCE1}

%check
# We don't test GUI tests.
#./Build test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes README
/usr/bin/padre
%{perl_vendorlib}/*
%{_datadir}/padre
%{_datadir}/applications/fedora-Padre.desktop
%{_mandir}/man3/*

%changelog
* Thu Dec 18 2008 Marcela Mašláňová <mmaslano@redhat.com> 0.20-1
- update to 0.20, switch off check of Wx, because unset DISPLAY
     in rpmbuild. V0.21 wasn't package because same problem
     somewhere else in code.

* Wed Oct 22 2008 Marcela Mašláňová <mmaslano@redhat.com> 0.10-5
- rebuilt, padre couldn't find many libraries

* Fri Oct 10 2008 Marcela Mašláňová <mmaslano@redhat.com> 0.10-4
- move templates into _datadir

* Fri Oct 10 2008 Marcela Mašláňová <mmaslano@redhat.com> 0.10-3
- add desktop file

* Fri Oct 10 2008 Marcela Mašláňová <mmaslano@redhat.com> 0.10-2
- fix review
- example and test files should have permission 644
- desktop file is missing in upstream version

* Fri Oct 03 2008 Marcela Mašláňová <mmaslano@redhat.com> 0.10-1
- Specfile autogenerated by cpanspec 1.77.
